i2p.susi.dns

## Class LogBean

- java.lang.Object
- - i2p.susi.dns.BaseBean
  - - i2p.susi.dns.LogBean

-     public class LogBean
      extends BaseBean

  Bean for managing and displaying subscription log entries and statistics.

- - ### Field Summary

    - ### Fields inherited from class i2p.susi.dns.BaseBean

      `_context, action, lastSerial, method, PROP_PW_ENABLE, properties, serial`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogBean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLogged()` Get the current log content.
    `String` | `getLogName()` Get the log file path.
    `String` | `getMessages()`
    `int` | `getTodayEntryCount()` Get the count of log entries from today.
    `void` | `setLogged(String logged)` Set the log content.

    - ### Methods inherited from class i2p.susi.dns.BaseBean

      `_t, _t, _t, addressbookDir, configFile, debug, getAction, getSerial, getTheme, getThemeName, getThemes, isOverrideCssActive, loadConfig, ngettext, reload, setAction, setSerial, storeMethod, useSoraFont, warn`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogBean

          public LogBean()

  - ### Method Detail

    - #### getLogged

          public String getLogged()

      Get the current log content.
      Returns:
        the log content, or default if file doesn't exist

    - #### getLogName

          public String getLogName()

      Get the log file path.
      Returns:
        the absolute path to the log file

    - #### getMessages

          public String getMessages()

    - #### getTodayEntryCount

          public int getTodayEntryCount()

      Get the count of log entries from today.
      Returns:
        the number of entries logged today

    - #### setLogged

          public void setLogged(String logged)

      Set the log content.
      Parameters:
        `logged` - the new log content